Subject: Bug#402: [X2Go-Dev] Bug#402: Bug#402: Numlock issues

From: [email-masked]
Date: Fri, 11 Apr 2014 11:39:44 +0200

Hi Mike,

> Hi Jordi,
>
> On  Fr 11 Apr 2014 08:51:32 CEST, jordi wrote:
>
>>> My question is: if you run the pre-runcommand script just before
>>> session startup and then run the post-runcommand script right after
>>> session startup (not when the session is ended), are the settings then
>>> ok?
>>
>> Yes right, these scripts should be run at session start and at session
>> end.
>
> Maybe we are misunderstanding each other.
>
> My intention is: change the config for a minute or so, launch the X2Go
> session and then immediately switch back to the saved values.
>
> My question is:
>
>    o launch X2Go session including the pre-runcommand script
>    o Wait for the session to come up
>    o MANUALLY launch the post-runcommand script
>
> Does that break the numlock state in the X2Go session immediately? Or
> do the related applications remember the settings they had during
> session startup.
>
> I don't want X2Go to "break" user profiles while X2Go sessions are
> running. It is tolerable to tweak configuration files for 20secs
> during session startup, but not for longer.
>
> The alternative approach would be making MATE (upstream) aware of X2Go
> sessions (vs. local X11 sessions).

Checked, these settings are global for the user, modifying them on a
session do alter another concurrent sessions, and gets saved for future
ones.

Jordi.